/* Amir Israeli  Email : israelaq@walla.co.il */
/* Written by Amir Israeli  July 2000  
dont remove this header , thanks , Amir
*/
// RegistryExplorerServices.h: interface for the CRegistryExplorerServices class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REGISTRYEXPLORERSERVICES_H__1D09C735_5DB9_11D4_B8C4_B0EB7DEFB55E__INCLUDED_)
#define AFX_REGISTRYEXPLORERSERVICES_H__1D09C735_5DB9_11D4_B8C4_B0EB7DEFB55E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CRegistryExplorerServices  
{
public:
	CRegistryExplorerServices();
	virtual ~CRegistryExplorerServices();
	BOOL SubClassDlgItem( CTreeCtrl &tree ,UINT nID ,CWnd* pParentWnd, LPCTSTR lpszRegPath = NULL );

	BOOL InitRootItems( CTreeCtrl &tree);
	BOOL SetImageList( CTreeCtrl &tree, CImageList *pImageList, UINT nImageID, int cx);

	BOOL AddDummy( CTreeCtrl &tree, HTREEITEM hParent);
	BOOL AddItem( CTreeCtrl &tree, HTREEITEM hParent ,LPCTSTR lpszItem);

	BOOL Enum( CTreeCtrl &tree, HTREEITEM hParent);
	CString PathFromItem( CTreeCtrl &tree, HTREEITEM hItem);
	BOOL SetPath( CTreeCtrl &tree, LPCTSTR lpszRegPath = NULL );
	CString GetPath( CTreeCtrl &tree, HTREEITEM hParent ,LPCTSTR lpszItem);
	CString GetPath( CTreeCtrl &tree);

	BOOL GoUp( CTreeCtrl &tree, HTREEITEM hItem = NULL );
	BOOL ExpandItem( CTreeCtrl &tree, HTREEITEM hItem = NULL );
	BOOL CollapseItem( CTreeCtrl &tree, HTREEITEM hItem = NULL );

	void OnItemexpanding( CTreeCtrl &tree, NMHDR* pNMHDR, LRESULT* pResult);
	void OnSelchanging( CTreeCtrl &tree, NMHDR* pNMHDR, LRESULT* pResult);
	void OnSelchanged( CTreeCtrl &tree, NMHDR* pNMHDR, LRESULT* pResult);

	BOOL OnKeyDown( CTreeCtrl &tree, UINT nChar, UINT nRepCnt, UINT nFlags); //keys operations
	BOOL IsExpanded( CTreeCtrl &tree, HTREEITEM hItem);

	void OnDestroy( CTreeCtrl &tree);
	HTREEITEM FindChild( CTreeCtrl &tree, LPCTSTR lpszName ,HTREEITEM hParent = TVI_ROOT);
	BOOL DeleteAllChildren( CTreeCtrl &tree ,HTREEITEM hParent);

	DWORD GetDefaultTreeStyle();
	DWORD GetDefaultListStyle();
	DWORD GetDefaultTreeExStyle();
	DWORD GetDefaultListExStyle();

};

#endif // !defined(AFX_REGISTRYEXPLORERSERVICES_H__1D09C735_5DB9_11D4_B8C4_B0EB7DEFB55E__INCLUDED_)
