/* Amir Israeli  Email : israelaq@walla.co.il */
/* Written by Amir Israeli  July 2000  
dont remove this header , thanks , Amir
*/
// RegistryTreeDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RegistryTreeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRegistryTreeDlg dialog


CRegistryTreeDlg::CRegistryTreeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRegistryTreeDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRegistryTreeDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	bUpdatePath = TRUE;
}

void CRegistryTreeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRegistryTreeDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRegistryTreeDlg, CDialog)
	//{{AFX_MSG_MAP(CRegistryTreeDlg)
	ON_BN_CLICKED(IDC_CANCEL, OnCancel)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
	ON_MESSAGE( WM_UPDATEPATHFROMTREE, OnUpdatePathFromTree )
	ON_MESSAGE( WM_UPDATEPATHFROMCOMBO, OnUpdatePathFromCombo )
	ON_MESSAGE( WM_UPDATEPATHFROMEDIT, OnUpdatePathFromEdit )
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRegistryTreeDlg message handlers

BOOL CRegistryTreeDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	if (!m_tree.SubclassDlgItem( IDC_TREE1, this))//,"HKEY_CURRENT_USER\\Software\\Adobe");
		return FALSE;
	if (!m_edit.SubclassDlgItem( IDC_EDIT1, this))// ,"HKEY_CURRENT_USER\\Software\\Adobe");
		return FALSE;
	if (!m_combo.SubclassDlgItem( IDC_COMBO1, this))
		return FALSE;

	if (!strRegistryPath.IsEmpty())
		m_tree.SetPath(strRegistryPath);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CRegistryTreeDlg::OnOK() 
{
	CWnd* pWnd = GetFocus();
	if (GetFocus() != GetDlgItem(IDOK))
		return;
	CDialog::OnOK();
}
void CRegistryTreeDlg::OnCancel() 
{
	strRegistryPath = _T("");
	CDialog::OnOK();
}
void CRegistryTreeDlg::OnDestroy() 
{
	bUpdatePath = FALSE; //dont update the path anymore (after CDialog::OnOK())
	CDialog::OnDestroy();
}

void CRegistryTreeDlg::OnUpdatePathFromTree( WPARAM wParam, LPARAM lParam)
{
	if (!bUpdatePath) //while destroying
		return;
	strRegistryPath = (LPCTSTR) wParam;
	if (strRegistryPath.IsEmpty())  return;

	if (m_edit.GetSafeHwnd())
		m_edit.SetPath( strRegistryPath);

	if (m_combo.GetSafeHwnd())
		m_combo.AddPath( strRegistryPath);

}
void CRegistryTreeDlg::OnUpdatePathFromCombo( WPARAM wParam, LPARAM lParam)
{
	CString strPath = (LPCTSTR) wParam;
	if (strRegistryPath.IsEmpty())  return;
	
	if (m_tree.GetSafeHwnd())
		m_tree.SetPath( strPath);

}
void CRegistryTreeDlg::OnUpdatePathFromEdit( WPARAM wParam, LPARAM lParam)
{
	CString strPath = (LPCTSTR) wParam;
	if (strPath.IsEmpty())  return;

	if (m_tree.GetSafeHwnd())
		m_tree.SetPath( strPath);
}

void CRegistryTreeDlg::SetPath( LPCTSTR lpszPath) 
{
	strRegistryPath = lpszPath;
}
CString CRegistryTreeDlg::GetPath()
{
	return strRegistryPath;
}

