/* Amir Israeli  Email : israelaq@walla.co.il */
/* Written by Amir Israeli  July 2000  
dont remove this header , thanks , Amir
*/
#if !defined(AFX_REGISTRYTREEDLG_H__E8A366A5_5E7E_11D4_B8C4_AC855CC1D25C__INCLUDED_)
#define AFX_REGISTRYTREEDLG_H__E8A366A5_5E7E_11D4_B8C4_AC855CC1D25C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RegistryTreeDlg.h : header file
//

#include "Resource.h"
/////////////////////////////////////////////////////////////////////////////
// CRegistryTreeDlg dialog
#include "TRegistryExplorerCtrl.h"
#include "EditRegistryPath.h"
#include "ComboRegistryHistory.h"

class CRegistryTreeDlg : public CDialog
{
public:
	CRegistryTreeDlg(CWnd* pParent = NULL);   // standard constructor

	void SetPath( LPCTSTR lpszPath);
	CString GetPath( );

	//{{AFX_DATA(CRegistryTreeDlg)
	enum { IDD = IDD_REGISTRYTREEDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRegistryTreeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CRegistryTreeDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnCancel();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	afx_msg void OnUpdatePathFromTree( WPARAM wParam, LPARAM lParam);
	afx_msg void OnUpdatePathFromCombo( WPARAM wParam, LPARAM lParam);
	afx_msg void OnUpdatePathFromEdit( WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()

protected:
	CTRegistryExplorerCtrl  m_tree;
	CEditRegistryPath   m_edit;
	CComboRegistryHistory m_combo;

	CString strRegistryPath;
	BOOL bUpdatePath;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REGISTRYTREEDLG_H__E8A366A5_5E7E_11D4_B8C4_AC855CC1D25C__INCLUDED_)
