/* Amir Israeli  Email : israelaq@walla.co.il */
/* Written by Amir Israeli  July 2000  
dont remove this header , thanks , Amir
*/
// EditRegistryPath.cpp : implementation file
//

#include "stdafx.h"
#include "EditRegistryPath.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditRegistryPath
CEditRegistryPath::CEditRegistryPath()
{
}
CEditRegistryPath::~CEditRegistryPath()
{
}

BEGIN_MESSAGE_MAP(CEditRegistryPath, CEdit)
	//{{AFX_MSG_MAP(CEditRegistryPath)
	ON_WM_KEYUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditRegistryPath message handlers
BOOL CEditRegistryPath::SubclassDlgItem(UINT nID, CWnd* pParent, LPCTSTR lpszText) 
{
	if (CEdit::SubclassDlgItem(nID, pParent)) {
		if (lpszText) SetPath(lpszText);
		return TRUE;
	}
	return FALSE;
}
void CEditRegistryPath::SetPath( LPCTSTR lpszText)
{
	if (lpszText)
		SetWindowText(lpszText);
}
CString CEditRegistryPath::GetPath()
{
	CString tmp;
	GetWindowText(tmp);
	return tmp;
}

DWORD CEditRegistryPath::dwStyle = ES_WANTRETURN|ES_MULTILINE|ES_AUTOHSCROLL|WS_VISIBLE|WS_CHILD;

BOOL CEditRegistryPath::PreCreateWindow(CREATESTRUCT& cs) 
{
	cs.style |= dwStyle;
	return CEdit::PreCreateWindow(cs);
}
void CEditRegistryPath::PreSubclassWindow() 
{
	ModifyStyle( 0, dwStyle, 0);
	CEdit::PreSubclassWindow();
}

void CEditRegistryPath::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	if (nChar == VK_RETURN ) { //dont process it
		CString strPath = GetPath();
		GetParent()->SendMessage(WM_UPDATEPATHFROMEDIT,(WPARAM)(LPCTSTR)strPath);
	}
	CEdit::OnKeyUp(nChar, nRepCnt, nFlags);
}


