/* Amir Israeli  Email : israelaq@walla.co.il */
/* Written by Amir Israeli  July 2000  
dont remove this header , thanks , Amir
*/
// TRegistryExplorerCtrl.cpp : implementation file
//

#include "stdafx.h"
#include "TRegistryExplorerCtrl.h"
#include "Registry.h"
#include "Resource.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTRegistryExplorerCtrl

CTRegistryExplorerCtrl::CTRegistryExplorerCtrl()
{
}
CTRegistryExplorerCtrl::~CTRegistryExplorerCtrl()
{
}

BEGIN_MESSAGE_MAP(CTRegistryExplorerCtrl, CTreeCtrl)
	//{{AFX_MSG_MAP(CTRegistryExplorerCtrl)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	ON_NOTIFY_REFLECT(TVN_ITEMEXPANDING, OnItemexpanding)
	ON_NOTIFY_REFLECT(TVN_SELCHANGING, OnSelchanging)
	ON_WM_KEYDOWN()
	ON_NOTIFY_REFLECT(TVN_SELCHANGED, OnSelchanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CTRegistryExplorerCtrl::SubclassDlgItem( UINT nID ,CWnd* pParentWnd, LPCTSTR lpszRegPath )
{
	if (services.SubClassDlgItem( *this, nID, pParentWnd, lpszRegPath)) {
		services.SetImageList( *this, &il, IDB_SMALLICONS, 16);
//		services.InitRootItems( *this);
		SetPath(lpszRegPath);
		return TRUE;
	}
	return FALSE;
}
/////////////////////////////////////////////////////////////////////////////
// CTRegistryExplorerCtrl message handlers

void CTRegistryExplorerCtrl::PreSubclassWindow() 
{
	DWORD dwStyle = services.GetDefaultTreeStyle();
	ModifyStyle( 0, dwStyle , 0);
	CTreeCtrl::PreSubclassWindow();
}
BOOL CTRegistryExplorerCtrl::PreCreateWindow(CREATESTRUCT& cs) 
{
	DWORD dwStyle = services.GetDefaultTreeStyle();
	cs.style = (long) dwStyle;

	return CTreeCtrl::PreCreateWindow(cs);
}

int CTRegistryExplorerCtrl::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CTreeCtrl::OnCreate(lpCreateStruct) == -1)
		return -1;
	services.SetImageList( *this, &il, IDB_SMALLICONS, 16);
	services.InitRootItems( *this);

	return 0;
}
void CTRegistryExplorerCtrl::OnDestroy() 
{
	DeleteAllItems();
	CTreeCtrl::OnDestroy();
}

////////////////////////////////////////////////////////
//////////

void CTRegistryExplorerCtrl::OnItemexpanding(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;
	services.OnItemexpanding( *this, pNMHDR, pResult);
	*pResult = 0;
}
void CTRegistryExplorerCtrl::OnSelchanging(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;
	services.OnSelchanging( *this, pNMHDR,  pResult);
	*pResult = 0;
}
void CTRegistryExplorerCtrl::OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult) 
{
	services.OnSelchanged( *this, pNMHDR, pResult);
	*pResult = 0;
}

void CTRegistryExplorerCtrl::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	if (services.OnKeyDown( *this, nChar, nRepCnt, nFlags))
		return; //function returned TRUE

	CTreeCtrl::OnKeyDown(nChar, nRepCnt, nFlags);
}

CString CTRegistryExplorerCtrl::GetPath()
{
	CString strPath =  services.GetPath( *this);
	return strPath;
}
BOOL CTRegistryExplorerCtrl::SetPath( LPCTSTR lpszPath)
{
	return services.SetPath( *this, lpszPath);
}



